---
updatedAt: 2026-08-12T10:13:43.000Z
---

# Create Audience Definitions

Create temporary and permanent audience definitions. For permanent Audience Definitions, omit the `?temporary` query parameter.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "audience-management-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.freewheel.tv/demand"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/audiences": {
      "post": {
        "summary": "Create Audience Definitions",
        "description": "",
        "operationId": "create-temporary-audience-definition",
        "parameters": [
          {
            "name": "temporary",
            "in": "query",
            "description": "Marks the Audience Definition as temporary.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Freewheel-Ad-Industry",
            "in": "header",
            "description": "Industry category ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer $auth_token"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "description": {
                    "type": "string"
                  },
                  "targets": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Sample Response: Temporary Audience Definition": {
                    "value": "{\n  \"id\": 3346,\n  \"name\": \"test audience 1\",\n  \"description\": \"A testing audience\",\n  \"metadata\": {\n    \"segments\": [\n      {\n        \"id\": \"9f118921ef\",\n        \"name\": \"Experian \\u003e Lifestyle \\u003e SRVY:HH Lifestyl:Pets:Own A Dog \\u003e Y\",\n        \"client_id\": \"-1\",\n        \"provider_name\": \"Experian\",\n        \"provider_id\": \"Experian\",\n        \"data_source\": \"Experian\",\n        \"audience_partner\": \"experian\",\n        \"restrictions\": [\n          2\n        ],\n        \"cpm\": 0.6,\n        \"provider_segment_id\": \"7203\"\n      },\n      {\n        \"id\": \"9fbd48f59a\",\n        \"name\": \"Experian \\u003e Lifestyle \\u003e SRVY:HH Lifestyl:Pets:Own A Pet \\u003e Y\",\n        \"client_id\": \"-1\",\n        \"provider_name\": \"Experian\",\n        \"provider_id\": \"Experian\",\n        \"data_source\": \"Experian\",\n        \"audience_partner\": \"experian\",\n        \"restrictions\": [\n          2\n        ],\n        \"cpm\": 0.6,\n        \"provider_segment_id\": \"7206\"\n      },\n      {\n        \"id\": \"9fe904831f\",\n        \"name\": \"Experian \\u003e Lifestyle \\u003e SRVY:HH Lifestyl:Buying:By Internet \\u003e Y\",\n        \"client_id\": \"-1\",\n        \"provider_name\": \"Experian\",\n        \"provider_id\": \"Experian\",\n        \"data_source\": \"Experian\",\n        \"audience_partner\": \"experian\",\n        \"restrictions\": [\n          2\n        ],\n        \"cpm\": 0.6,\n        \"provider_segment_id\": \"7209\"\n      },\n      {\n        \"id\": \"9f2354c276\",\n        \"name\": \"Experian \\u003e Lifestyle \\u003e SRVY:HH Lifestyl:Pets:Own A Cat \\u003e Y\",\n        \"client_id\": \"-1\",\n        \"provider_name\": \"Experian\",\n        \"provider_id\": \"Experian\",\n        \"data_source\": \"Experian\",\n        \"audience_partner\": \"experian\",\n        \"restrictions\": [\n          2\n        ],\n        \"cpm\": 0.6,\n        \"provider_segment_id\": \"7200\"\n      }\n    ],\n    \"cpm\": 0.6\n  },\n  \"industry_restrictions\": [\n    2\n  ],\n  \"targets\": [\n    {\n      \"kind\": \"include\",\n      \"type\": \"segments\",\n      \"target_ids\": [\n        \"9f118921ef\",\n        \"9fbd48f59a\"\n      ]\n    },\n    {\n      \"kind\": \"include\",\n      \"type\": \"segments\",\n      \"target_ids\": [\n        \"9fe904831f\"\n      ]\n    },\n    {\n      \"kind\": \"exclude\",\n      \"type\": \"segments\",\n      \"target_ids\": [\n        \"9f2354c276\"\n      ]\n    }\n  ],\n  \"estimates\": [\n    {\n      \"std_dev\": 77773,\n      \"estimate\": 1808790,\n      \"alias_type\": \"iid\",\n      \"lower_bound\": 1734207,\n      \"upper_bound\": 1886563\n    },\n    {\n      \"std_dev\": 28446,\n      \"estimate\": 674758,\n      \"alias_type\": \"hid\",\n      \"lower_bound\": 647456,\n      \"upper_bound\": 703204\n    },\n    {\n      \"std_dev\": 358478,\n      \"estimate\": 8387339,\n      \"alias_type\": \"cookie\",\n      \"lower_bound\": 8043482,\n      \"upper_bound\": 8745817\n    },\n    {\n      \"std_dev\": 23618,\n      \"estimate\": 543465,\n      \"alias_type\": \"ctv\",\n      \"lower_bound\": 520826,\n      \"upper_bound\": 567083\n    },\n    {\n      \"std_dev\": 102132,\n      \"estimate\": 2369042,\n      \"alias_type\": \"maid\",\n      \"lower_bound\": 2271110,\n      \"upper_bound\": 2471174\n    }\n  ],\n  \"created_at\": \"2021-10-26T18:55:34.206244722Z\",\n  \"updated_at\": \"2021-10-26T18:55:34.206244722Z\",\n  \"properties\": {}\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 3346,
                      "default": 0
                    },
                    "name": {
                      "type": "string",
                      "example": "test audience 1"
                    },
                    "description": {
                      "type": "string",
                      "example": "A testing audience"
                    },
                    "metadata": {
                      "type": "object",
                      "properties": {
                        "segments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "9f118921ef"
                              },
                              "name": {
                                "type": "string",
                                "example": "Experian > Lifestyle > SRVY:HH Lifestyl:Pets:Own A Dog > Y"
                              },
                              "client_id": {
                                "type": "string",
                                "example": "-1"
                              },
                              "provider_name": {
                                "type": "string",
                                "example": "Experian"
                              },
                              "provider_id": {
                                "type": "string",
                                "example": "Experian"
                              },
                              "data_source": {
                                "type": "string",
                                "example": "Experian"
                              },
                              "audience_partner": {
                                "type": "string",
                                "example": "experian"
                              },
                              "restrictions": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 2,
                                  "default": 0
                                }
                              },
                              "cpm": {
                                "type": "number",
                                "example": 0.6,
                                "default": 0
                              },
                              "provider_segment_id": {
                                "type": "string",
                                "example": "7203"
                              }
                            }
                          }
                        },
                        "cpm": {
                          "type": "number",
                          "example": 0.6,
                          "default": 0
                        }
                      }
                    },
                    "industry_restrictions": {
                      "type": "array",
                      "items": {
                        "type": "integer",
                        "example": 2,
                        "default": 0
                      }
                    },
                    "targets": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "kind": {
                            "type": "string",
                            "example": "include"
                          },
                          "type": {
                            "type": "string",
                            "example": "segments"
                          },
                          "target_ids": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "9f118921ef"
                            }
                          }
                        }
                      }
                    },
                    "estimates": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "std_dev": {
                            "type": "integer",
                            "example": 77773,
                            "default": 0
                          },
                          "estimate": {
                            "type": "integer",
                            "example": 1808790,
                            "default": 0
                          },
                          "alias_type": {
                            "type": "string",
                            "example": "iid"
                          },
                          "lower_bound": {
                            "type": "integer",
                            "example": 1734207,
                            "default": 0
                          },
                          "upper_bound": {
                            "type": "integer",
                            "example": 1886563,
                            "default": 0
                          }
                        }
                      }
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2021-10-26T18:55:34.206244722Z"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2021-10-26T18:55:34.206244722Z"
                    },
                    "properties": {
                      "type": "object",
                      "properties": {}
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \\\n -X POST \\\n -H \"Authorization: Bearer $auth_token\" \\\n -H \"X-Freewheel-Ad-Industry: 1\" \\\n --url 'https://api.freewheel.tv/demand/v2/audiences?temporary' \\\n -d '\n{\n  \"name\":\"test audience 1\",\n  \"description\":\"A testing audience\",\n  \"targets\":[\n    {\n      \"type\":\"segments\",\n      \"kind\":\"include\",\n      \"target_ids\":[\"9f118921ef\",\"9fbd48f59a\"]\n    },\n    {\n      \"type\": \"segments\",\n      \"kind\": \"include\",\n      \"target_ids\":[\"9fe904831f\"]\n    },\n    {\n      \"type\": \"segments\",\n      \"kind\": \"exclude\",\n      \"target_ids\":[\"9f2354c276\"]\n    }\n  ]\n}'",
              "name": "Create Temporary Audience Definition"
            },
            {
              "language": "curl",
              "code": "//Do not use the `?temporary` parameter.\ncurl \\\n -X PATCH \\\n -H \"Authorization: Bearer $auth_token\" \\\n -H \"X-Freewheel-Ad-Industry: 1\" \\\n \"$DS/v2/audiences/3346\" \\\n -d '\n{\n  \"targets\":[\n    {\n      \"type\":\"segments\",\n      \"kind\":\"include\",\n      \"target_ids\":[\"9fbd48f59a\",\"9fbd48f59a\",\"9fe904831f\"]\n    },\n    {\n      \"type\": \"segments\",\n      \"kind\": \"exclude\",\n      \"target_ids\":[\"9f2354c276\"]\n    }\n  ]\n}'",
              "name": "Create Permanent Audience Definition"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```